/*
 =============================================================
 = Foundation Utimate                                         =
 = http://github.com/relution-developments/foundation-remix  =
 = --------------------------------------------------------- =
 = Copyright (c) 2016 - Relution Developments Ltd            =
 = Licensed under the MIT license.                           =
 = @author JayDemitri                                        =
 =============================================================
 */
"use strict";

/*
 Libraries
 ---------
 */
var gulp = require("gulp"),
    gutil = require("gulp-util"),
    path = require("path"),
    rimraf = require("rimraf");

var dev = function () {
        gulp.task("clean-dev", function (cb) {
            rimraf((path.join(process.cwd(), "build/dev")), cb);
        });
        return gulp.start(['clean-dev']);
    },
    release = function () {
        gulp.task("clean-release", function (cb) {
            rimraf((path.join(process.cwd(), "build/release")), cb);
        });
        return gulp.start(['clean-release']);
    },
    libs = function () {
        gulp.task("clean-libs", function (cb) {
            rimraf((path.join(process.cwd(), "tmp/libs")), cb);
        });
        return gulp.start(['clean-libs']);
    };
module.exports = {
    dev: dev,
    release: release,
    libs: libs
};